"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ciExample110 = exports.ciExample100 = exports.Ci110 = exports.Ci100 = exports.Ci = void 0;
var schema_tools_1 = require("@cypress/schema-tools");
var ciExample100 = {
    url: null,
    provider: 'CircelCI',
    buildNumber: '123',
};
exports.ciExample100 = ciExample100;
var Ci100 = {
    version: {
        major: 1,
        minor: 0,
        patch: 0,
    },
    schema: {
        title: 'ci',
        type: 'object',
        description: 'CI information returned by the API',
        properties: {
            provider: {
                type: ['string', 'null'],
                description: 'name of the CI provider, like "Circle"',
            },
            buildNumber: {
                type: ['string', 'null'],
                description: 'CI issues build number',
            },
            url: {
                type: ['string', 'null'],
                description: 'CI specific URL if available',
            },
        },
        required: true,
        additionalProperties: false,
    },
    example: ciExample100,
};
exports.Ci100 = Ci100;
var ciExample110 = Object.assign({}, ciExample100, {
    pullRequestId: '797',
    pullRequestUrl: 'https://foo.com/foo/bar/pull/797',
});
exports.ciExample110 = ciExample110;
var Ci110 = schema_tools_1.extend(Ci100, {
    schema: {
        description: 'Includes pullRequestId and pullRequestUrl',
        properties: {
            pullRequestId: {
                type: ['string', 'null'],
                description: 'Pull request id',
            },
            pullRequestUrl: {
                type: ['string', 'null'],
                format: 'uri',
                description: 'URL of the pull request',
            },
        },
    },
    example: ciExample110,
});
exports.Ci110 = Ci110;
var Ci = schema_tools_1.versionSchemas(Ci100, Ci110);
exports.Ci = Ci;
