import { email, ISODateString, milliseconds, projectId, runStatus, SemanticVersion, uri, uuid } from '../objects';
import { CiExample100, CiExample110 } from './ci';
import { CommitExample100 } from './commit';
import { InstanceExample100, InstanceExample200, InstanceExample220, InstanceExample230, InstanceExample240, InstanceExample250 } from './instance';
import { ScreenshotExample100 } from './screenshot';
import { TestExample100 } from './test';
import { VideoExample100 } from './video';
export declare type GetRunResponseExample100 = {
    id: uuid;
    projectId: projectId;
    projectName: string;
    buildNumber: number;
    cypressVersion: SemanticVersion;
    commitAuthorName: string | null;
    commitAuthorEmail: email | null;
    commitMessage: string | null;
    commitBranch: string | null;
    commitSha: string | null;
    commitUrl: string | null;
    totalPasses: number | null;
    totalFailures: number | null;
    totalPending: number | null;
    totalDuration: milliseconds | null;
    createdAt: ISODateString;
    updatedAt: ISODateString;
    status: string;
    ciUrl: string | null;
    ciProvider: string | null;
    ciBuildNumber: string | null;
    runUrl: uri;
    projectUrl: uri;
    instances: InstanceExample100[];
    orgId: uuid;
    orgName: string;
    orgDefault: boolean;
    tests: TestExample100[];
    screenshots: ScreenshotExample100[];
    videos: VideoExample100[];
};
declare type GetRunResponseExample200 = {
    buildNumber: number;
    ci: CiExample100;
    commit: CommitExample100;
    createdAt: ISODateString;
    completedAt: ISODateString | null;
    cypressVersion: SemanticVersion;
    id: uuid;
    supportsLoadBalancing: boolean;
    projectId: projectId;
    projectName: string;
    specIsolation: boolean;
    specPattern: string | null;
    status: runStatus;
    updatedAt: ISODateString;
    totalDuration: milliseconds | null;
    totalFailed: number | null;
    totalPassed: number | null;
    totalPending: number | null;
    totalSkipped: number | null;
    runUrl: uri;
    projectUrl: uri;
    instances: InstanceExample200[];
    failedTests: TestExample100[] | null;
    orgId: uuid;
    orgName: string;
    orgDefault: boolean;
};
declare type GetRunResponseExample210 = GetRunResponseExample200 & {
    instances: InstanceExample220[];
    ci: CiExample110;
    scheduledToCompleteAt: string | null;
    ciBuildId: string | null;
    customCiBuildId: boolean;
};
declare type GetRunResponseExample220 = GetRunResponseExample210 & {
    parallelizationDisabled: boolean | null;
    hiddenUntil: string | null;
};
declare type GetRunResponseExample230 = GetRunResponseExample220 & {
    instances: InstanceExample230[];
};
declare type GetRunResponseExample240 = GetRunResponseExample230 & {
    cancelledBy: string | null;
    cancelledAt: string | null;
};
export declare type GetRunResponseExample250 = GetRunResponseExample240 & {
    instances: InstanceExample240[];
};
export declare type GetRunResponseExample260 = GetRunResponseExample250 & {
    instances: InstanceExample250[];
};
declare const GetRunResponse: import("@cypress/schema-tools").VersionedSchema;
export { GetRunResponse };
