import { ObjectSchema } from '@cypress/schema-tools';
import { instanceStatus, ISODateString, milliseconds, osCpu, osMemory, osName, uuid } from '../objects';
import { PlatformExample101 } from './platform';
import { ScreenshotExample100, ScreenshotExample110 } from './screenshot';
import { VideoExample100 } from './video';
export declare type InstanceExample100 = {
    browserName: string | null;
    browserVersion: string | null;
    duration: milliseconds | null;
    error: string | null;
    failures: number | null;
    id: uuid;
    osCpus: osCpu[] | null;
    osMemory: osMemory | null;
    osName: osName | null;
    osVersion: string | null;
    osVersionFormatted: string | null;
    passes: number | null;
    pending: number | null;
    spec: string | null;
    status: string;
    stdout: string | null;
};
declare const instanceExample100: InstanceExample100;
declare const Instance100: ObjectSchema;
export declare type InstanceExample200 = {
    platform: PlatformExample101;
    passed: number | null;
    pending: number | null;
    failed: number | null;
    skipped: number | null;
    wallClockStartedAt: ISODateString | null;
    wallClockEndedAt: ISODateString | null;
    wallClockDuration: milliseconds | null;
    status: instanceStatus;
    stdout: string | null;
    error: string | null;
    createdAt: ISODateString;
    claimedAt: ISODateString | null;
    completedAt: ISODateString | null;
    spec: string | null;
    id: uuid;
    machineId: uuid | null;
    screenshots: ScreenshotExample100[] | null;
    videos: VideoExample100[] | null;
    groupId: string | null;
};
declare const instanceExample200: InstanceExample200;
declare const Instance200: ObjectSchema;
export declare type InstanceExample210 = InstanceExample200 & {
    integrationFolder: string | null;
    estimatedWallClockDuration: number | null;
    parallelEnabled: boolean;
    groupName: string | null;
};
declare const instanceExample210: InstanceExample210;
declare const Instance210: ObjectSchema;
export declare type InstanceExample220 = InstanceExample210 & {
    postProcessingCompletedAt: string | null;
};
declare const instanceExample220: InstanceExample220;
declare const Instance220: ObjectSchema;
export declare type InstanceExample230 = InstanceExample220 & {
    screenshots: ScreenshotExample110[] | null;
};
declare const instanceExample230: InstanceExample230;
export declare type InstanceExample240 = InstanceExample230 & {
    hasStdout: boolean | null;
};
declare const instanceExample240: InstanceExample240;
declare const Instance230: ObjectSchema;
declare const Instance240: ObjectSchema;
export declare type InstanceExample250 = InstanceExample240 & {
    totalFlakyTests: number | null;
};
declare const instanceExample250: InstanceExample250;
declare const Instance250: ObjectSchema;
declare const Instance: import("@cypress/schema-tools").VersionedSchema;
export { Instance, Instance100, Instance200, Instance210, Instance220, Instance230, Instance240, Instance250, instanceExample100, instanceExample200, instanceExample210, instanceExample220, instanceExample230, instanceExample240, instanceExample250, };
