import { PutInstanceRequestExample300 } from './put-instance-request';
import { PutInstanceResponseExample200 } from './put-instance-response';
import { TestRunnerTestResult100Example } from './test-runner-test-result';
export declare type PostInstanceResultsRequest100Example = {
    reporterStats?: PutInstanceRequestExample300['reporterStats'];
    stats?: PutInstanceRequestExample300['stats'];
    video?: PutInstanceRequestExample300['video'];
    screenshots?: PutInstanceRequestExample300['screenshots'];
    exception?: PutInstanceRequestExample300['error'];
    tests?: TestRunnerTestResult100Example[];
};
export declare const postInstanceResultsRequest100: {
    version: {
        major: number;
        minor: number;
        patch: number;
    };
    schema: {
        title: string;
        type: "object";
        description: string;
        required: never[];
        additionalProperties: false;
        properties: any;
    };
    example: PostInstanceResultsRequest100Example;
};
export declare type PostInstanceResultsRequest110Example = PostInstanceResultsRequest100Example & {
    metadata?: {
        studioCreated?: number;
        studioExtended?: number;
    };
};
export declare const postInstanceResultsRequest110: {
    version: {
        major: number;
        minor: number;
        patch: number;
    };
    schema: {
        properties: any;
        title: string;
        type: "object";
        description: string;
        required: never[];
        additionalProperties: false;
    };
    example: PostInstanceResultsRequest110Example;
};
export declare const PostInstanceResultsRequest: import("@cypress/schema-tools").VersionedSchema;
export declare type PostInstanceResultsResponse100Example = PutInstanceResponseExample200;
export declare const postInstanceResultsResponse100: {
    version: {
        major: number;
        minor: number;
        patch: number;
    };
    schema: {
        title: string;
        type: "object";
        description: string;
        required: string[];
        additionalProperties: true;
        properties: {
            videoUploadUrl: {
                type: "string";
                format: string;
            };
            screenshotUploadUrls: {
                type: "array";
                see: import("@cypress/schema-tools").ObjectSchema;
                items: {
                    title: string;
                    type: "object";
                    description?: string | undefined;
                    properties?: import("@cypress/schema-tools").JsonProperties | undefined;
                    patternProperties?: object | undefined;
                    required?: true | string[] | undefined;
                    additionalProperties: boolean;
                    deprecated?: string | undefined;
                };
            };
        };
    };
    example: PutInstanceResponseExample200;
};
export declare const PostInstanceResultsResponse: import("@cypress/schema-tools").VersionedSchema;
