"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TestAction = exports.PostInstanceTestsResponse = exports.PostInstanceTestsResponse100 = exports.PostInstanceTestsRequest = exports.PostInstanceTestsRequest100 = void 0;
var schema_tools_1 = require("@cypress/schema-tools");
var put_instance_request_1 = require("./put-instance-request");
var test_runner_hook_1 = require("./test-runner-hook");
var test_runner_test_info_1 = require("./test-runner-test-info");
var PostInstanceTestsRequestExample100 = {
    config: {
        settingA: 'A',
        settingB: 'B',
        settingC: 'C',
        reporter: 'spec',
    },
    tests: [test_runner_test_info_1.TestRunnerTestInfoExample100],
    hooks: [test_runner_hook_1.testRunnerHookExample200],
};
exports.PostInstanceTestsRequest100 = {
    version: { major: 1, minor: 0, patch: 0 },
    schema: {
        title: 'PostInstanceTestsRequest',
        type: 'object',
        description: 'Sent after tests are generated but before tests are run.',
        properties: {
            config: put_instance_request_1.PutInstanceRequest300.schema.properties.cypressConfig,
            tests: {
                type: ['array', 'null'],
                items: __assign({}, test_runner_test_info_1.TestRunnerTestInfo100.schema),
                see: test_runner_test_info_1.TestRunnerTestInfo100,
            },
            hooks: {
                type: ['array', 'null'],
                items: __assign({}, test_runner_hook_1.TestRunnerHook200.schema),
                see: test_runner_hook_1.TestRunnerHook200,
            },
        },
        required: true,
        additionalProperties: false,
    },
    example: PostInstanceTestsRequestExample100,
};
exports.PostInstanceTestsRequest = schema_tools_1.versionSchemas(exports.PostInstanceTestsRequest100);
var TestActionExample100 = {
    clientId: 'r1',
    type: 'SPEC',
    action: 'MUTE',
    payload: null,
};
var TestAction100 = {
    version: { major: 1, minor: 0, patch: 0 },
    schema: {
        title: 'TestAction',
        type: 'object',
        additionalProperties: false,
        properties: {
            type: {
                type: 'string',
                enum: ['SPEC', 'TEST'],
            },
            action: {
                type: 'string',
                enum: ['MUTE', 'SKIP'],
            },
            clientId: {
                type: ['string', 'null'],
                description: 'Unique ID for the item generated by Test Runner.',
            },
            payload: {
                type: ['object', 'null'],
                description: 'Action specific information',
            },
        },
    },
    example: TestActionExample100,
};
var PostInstanceTestsResponseExample100 = {
    spec: 'spec/to/run.js',
    instanceId: 'e9e81b5e-cc58-4026-b2ff-8ae3161435a6',
    totalInstances: 3,
    claimedInstances: 1,
    estimatedWallClockDuration: 300,
    actions: [TestActionExample100],
};
exports.PostInstanceTestsResponse100 = {
    version: { major: 1, minor: 0, patch: 0 },
    schema: {
        title: 'PostInstanceTestsResponse',
        type: 'object',
        required: true,
        additionalProperties: true,
        properties: {
            instanceId: {
                type: ['string', 'null'],
                format: 'uuid',
                description: 'Instance id if there is a spec to run',
            },
            spec: {
                type: ['string', 'null'],
                description: 'Spec filename to execute, if there is one to run',
            },
            totalInstances: {
                type: 'integer',
                minimum: 0,
                description: 'Total number of instances for this run',
            },
            claimedInstances: {
                type: 'integer',
                minimum: 0,
                description: 'Number of finished or running instances',
            },
            estimatedWallClockDuration: {
                type: ['integer', 'null'],
                description: 'Estimated wall clock duration in milliseconds',
            },
            actions: {
                type: ['array', 'null'],
                items: __assign({}, TestAction100.schema),
                description: 'array of actions specific to the run',
                see: TestAction100,
            },
        },
    },
    example: PostInstanceTestsResponseExample100,
};
exports.PostInstanceTestsResponse = schema_tools_1.versionSchemas(exports.PostInstanceTestsResponse100);
exports.TestAction = schema_tools_1.versionSchemas(TestAction100);
