"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PostRunResponse = void 0;
var schema_tools_1 = require("@cypress/schema-tools");
var lodash_clonedeep_1 = __importDefault(require("lodash.clonedeep"));
var warning_1 = require("./warning");
var postRunResponseExample100 = {
    buildId: '00748421-e035-4a3d-8604-8468cc48bdb5',
};
var PostRunResponse100 = {
    version: {
        major: 1,
        minor: 0,
        patch: 0,
    },
    schema: {
        title: 'PostRunResponse',
        type: 'object',
        properties: {
            buildId: {
                type: 'string',
                format: 'uuid',
            },
        },
        required: true,
        additionalProperties: false,
    },
    example: postRunResponseExample100,
};
var postRunResponseExample200 = {
    runId: '00748421-e035-4a3d-8604-8468cc48bdb5',
    machineId: '5d82e54f-a4e9-48a0-b627-1502185dc2a4',
    groupId: 'a-plan-id',
    runUrl: 'https://dashboard.cypress.io/projects/cjvoj7/runs/12',
};
var PostRunResponse200 = {
    version: {
        major: 2,
        minor: 0,
        patch: 0,
    },
    schema: {
        title: 'PostRunResponse',
        type: 'object',
        description: 'Renamed `buildId` to `runId`, added `groupId` and `machineId`',
        properties: {
            runId: {
                type: 'string',
                format: 'uuid',
            },
            machineId: {
                type: 'string',
                format: 'uuid',
            },
            groupId: {
                type: 'string',
            },
            runUrl: {
                type: 'string',
                format: 'uri',
                description: 'Dashboard URL of this run',
            },
        },
        required: true,
        additionalProperties: false,
    },
    example: postRunResponseExample200,
};
var PostRunResponse210 = schema_tools_1.addProperty({
    schema: PostRunResponse200,
    description: 'Run response with list of warnings',
}, {
    property: 'warnings',
    propertyType: 'array',
    propertyFormat: null,
    exampleValue: [warning_1.warningExample100],
    isRequired: true,
    propertyDescription: 'Possible warnings list',
    see: warning_1.Warning100,
});
if (PostRunResponse210.schema.properties &&
    PostRunResponse210.schema.properties.warnings) {
    PostRunResponse210.schema.properties.warnings.items = lodash_clonedeep_1.default(warning_1.Warning100.schema);
}
var PostRunResponse220 = schema_tools_1.addProperty({
    schema: PostRunResponse210,
    description: 'Run response with list of tags',
}, {
    property: 'tags',
    propertyType: ['array', 'null'],
    propertyFormat: null,
    exampleValue: ['staging', 'test', 'test-tag'],
    isRequired: true,
    propertyDescription: 'List of tags used for a run',
});
exports.PostRunResponse = schema_tools_1.versionSchemas(PostRunResponse100, PostRunResponse200, PostRunResponse210, PostRunResponse220);
