import { ObjectSchema, PlainObject } from '@cypress/schema-tools';
import { TestRunnerCypressStatsExample100 } from './test-runner-cypress-stats';
import { TestRunnerHookExample100 } from './test-runner-hook';
import { TestRunnerScreenshotExample200, TestRunnerScreenshotExample210 } from './test-runner-screenshot';
import { TestRunnerTestExample100, TestRunnerTestExample200 } from './test-runner-test';
export declare type PutInstanceRequestExample200 = {
    cypressConfig: PlainObject;
    error: string | null;
    hooks: TestRunnerHookExample100[] | null;
    reporterStats: PlainObject | null;
    screenshots: TestRunnerScreenshotExample200[] | null;
    stats: TestRunnerCypressStatsExample100;
    stdout: string | null;
    tests: TestRunnerTestExample100[] | null;
    video: boolean;
};
export declare type PutInstanceRequestExample210 = Omit<PutInstanceRequestExample200, 'tests' | 'screenshots'> & {
    tests: TestRunnerTestExample100[] | null;
    screenshots: TestRunnerScreenshotExample210[] | null;
};
export declare type PutInstanceRequestExample300 = {
    cypressConfig?: PlainObject;
    error?: string | null;
    hooks?: TestRunnerHookExample100[] | null;
    reporterStats?: PlainObject | null;
    stats?: TestRunnerCypressStatsExample100;
    video?: boolean;
    tests?: TestRunnerTestExample200[] | null;
    screenshots?: TestRunnerScreenshotExample210[] | null;
};
export declare const PutInstanceRequest200: {
    version: {
        major: number;
        minor: number;
        patch: number;
    };
    schema: {
        title: string;
        type: "object";
        properties: {
            cypressConfig: {
                type: "object";
                description: string;
            };
            error: {
                type: string[];
                description: string;
            };
            stats: {
                see: ObjectSchema;
                description: string;
                title: string;
                type: "object";
                properties?: import("@cypress/schema-tools").JsonProperties | undefined;
                patternProperties?: object | undefined;
                required?: true | string[] | undefined;
                additionalProperties: boolean;
                deprecated?: string | undefined;
            };
            reporterStats: {
                type: string[];
                see: ObjectSchema;
                title: string;
                description?: string | undefined;
                properties?: import("@cypress/schema-tools").JsonProperties | undefined;
                patternProperties?: object | undefined;
                required?: true | string[] | undefined;
                additionalProperties: boolean;
                deprecated?: string | undefined;
            };
            hooks: {
                type: string[];
                items: {
                    title: string;
                    description: string;
                    type: "object";
                    properties: {
                        hookId: {
                            type: "string";
                            format: string;
                        };
                        hookName: {
                            type: "string";
                            enum: string[];
                        };
                        title: {
                            type: "array";
                            items: {
                                type: "string";
                            };
                        };
                        body: {
                            type: "string";
                        };
                    };
                    required: true;
                    additionalProperties: boolean;
                };
                see: {
                    version: {
                        major: number;
                        minor: number;
                        patch: number;
                    };
                    schema: {
                        title: string;
                        description: string;
                        type: "object";
                        properties: {
                            hookId: {
                                type: "string";
                                format: string;
                            };
                            hookName: {
                                type: "string";
                                enum: string[];
                            };
                            title: {
                                type: "array";
                                items: {
                                    type: "string";
                                };
                            };
                            body: {
                                type: "string";
                            };
                        };
                        required: true;
                        additionalProperties: boolean;
                    };
                    example: TestRunnerHookExample100;
                };
            };
            tests: {
                type: string[];
                items: {
                    title: string;
                    description: string;
                    type: "object";
                    properties: {
                        stack: {
                            type: string[];
                            description: string;
                        };
                        error: {
                            type: string[];
                            description: string;
                        };
                        timings: {
                            type: string[];
                            description: string;
                            properties: {
                                lifecycle: {
                                    type: "integer";
                                    minimum: number;
                                    description: string;
                                };
                                'before each': {
                                    type: "array";
                                    items: {
                                        type: "object";
                                    };
                                };
                            };
                        };
                        failedFromHookId: {
                            type: string[];
                            format: string;
                        };
                        wallClockStartedAt: {
                            type: string[];
                            format: string;
                        };
                        wallClockDuration: {
                            type: string[];
                            minimum: number;
                        };
                        videoTimestamp: {
                            type: string[];
                        };
                        state: {
                            type: "string";
                            format: string;
                        };
                        testId: {
                            type: "string";
                            format: string;
                            description: string;
                        };
                        title: {
                            type: "array";
                            items: {
                                type: "string";
                            };
                        };
                        body: {
                            type: string[];
                            description: string;
                        };
                    };
                    required: true;
                    additionalProperties: false;
                };
                see: {
                    version: {
                        major: number;
                        minor: number;
                        patch: number;
                    };
                    schema: {
                        title: string;
                        description: string;
                        type: "object";
                        properties: {
                            stack: {
                                type: string[];
                                description: string;
                            };
                            error: {
                                type: string[];
                                description: string;
                            };
                            timings: {
                                type: string[];
                                description: string;
                                properties: {
                                    lifecycle: {
                                        type: "integer";
                                        minimum: number;
                                        description: string;
                                    };
                                    'before each': {
                                        type: "array";
                                        items: {
                                            type: "object";
                                        };
                                    };
                                };
                            };
                            failedFromHookId: {
                                type: string[];
                                format: string;
                            };
                            wallClockStartedAt: {
                                type: string[];
                                format: string;
                            };
                            wallClockDuration: {
                                type: string[];
                                minimum: number;
                            };
                            videoTimestamp: {
                                type: string[];
                            };
                            state: {
                                type: "string";
                                format: string;
                            };
                            testId: {
                                type: "string";
                                format: string;
                                description: string;
                            };
                            title: {
                                type: "array";
                                items: {
                                    type: "string";
                                };
                            };
                            body: {
                                type: string[];
                                description: string;
                            };
                        };
                        required: true;
                        additionalProperties: false;
                    };
                    example: TestRunnerTestExample100;
                };
            };
            stdout: {
                type: string[];
                description: string;
            };
            video: {
                type: "boolean";
                description: string;
            };
            screenshots: {
                type: string[];
                items: {
                    title: string;
                    type: "object";
                    description?: string | undefined;
                    properties?: import("@cypress/schema-tools").JsonProperties | undefined;
                    patternProperties?: object | undefined;
                    required?: true | string[] | undefined;
                    additionalProperties: boolean;
                    deprecated?: string | undefined;
                };
                see: ObjectSchema;
            };
        };
        required: true;
        additionalProperties: false;
    };
    example: PutInstanceRequestExample200;
};
export declare const PutInstanceRequest210: {
    version: {
        major: number;
        minor: number;
        patch: number;
    };
    schema: {
        properties: {
            screenshots: {
                type: string[];
                items: {
                    title: string;
                    type: "object";
                    description?: string | undefined;
                    properties?: import("@cypress/schema-tools").JsonProperties | undefined;
                    patternProperties?: object | undefined;
                    required?: true | string[] | undefined;
                    additionalProperties: boolean;
                    deprecated?: string | undefined;
                };
                see: ObjectSchema;
            };
            cypressConfig: {
                type: "object";
                description: string;
            };
            error: {
                type: string[];
                description: string;
            };
            stats: {
                see: ObjectSchema;
                description: string;
                title: string;
                type: "object";
                properties?: import("@cypress/schema-tools").JsonProperties | undefined;
                patternProperties?: object | undefined;
                required?: true | string[] | undefined;
                additionalProperties: boolean;
                deprecated?: string | undefined;
            };
            reporterStats: {
                type: string[];
                see: ObjectSchema;
                title: string;
                description?: string | undefined;
                properties?: import("@cypress/schema-tools").JsonProperties | undefined;
                patternProperties?: object | undefined;
                required?: true | string[] | undefined;
                additionalProperties: boolean;
                deprecated?: string | undefined;
            };
            hooks: {
                type: string[];
                items: {
                    title: string;
                    description: string;
                    type: "object";
                    properties: {
                        hookId: {
                            type: "string";
                            format: string;
                        };
                        hookName: {
                            type: "string";
                            enum: string[];
                        };
                        title: {
                            type: "array";
                            items: {
                                type: "string";
                            };
                        };
                        body: {
                            type: "string";
                        };
                    };
                    required: true;
                    additionalProperties: boolean;
                };
                see: {
                    version: {
                        major: number;
                        minor: number;
                        patch: number;
                    };
                    schema: {
                        title: string;
                        description: string;
                        type: "object";
                        properties: {
                            hookId: {
                                type: "string";
                                format: string;
                            };
                            hookName: {
                                type: "string";
                                enum: string[];
                            };
                            title: {
                                type: "array";
                                items: {
                                    type: "string";
                                };
                            };
                            body: {
                                type: "string";
                            };
                        };
                        required: true;
                        additionalProperties: boolean;
                    };
                    example: TestRunnerHookExample100;
                };
            };
            tests: {
                type: string[];
                items: {
                    title: string;
                    description: string;
                    type: "object";
                    properties: {
                        stack: {
                            type: string[];
                            description: string;
                        };
                        error: {
                            type: string[];
                            description: string;
                        };
                        timings: {
                            type: string[];
                            description: string;
                            properties: {
                                lifecycle: {
                                    type: "integer";
                                    minimum: number;
                                    description: string;
                                };
                                'before each': {
                                    type: "array";
                                    items: {
                                        type: "object";
                                    };
                                };
                            };
                        };
                        failedFromHookId: {
                            type: string[];
                            format: string;
                        };
                        wallClockStartedAt: {
                            type: string[];
                            format: string;
                        };
                        wallClockDuration: {
                            type: string[];
                            minimum: number;
                        };
                        videoTimestamp: {
                            type: string[];
                        };
                        state: {
                            type: "string";
                            format: string;
                        };
                        testId: {
                            type: "string";
                            format: string;
                            description: string;
                        };
                        title: {
                            type: "array";
                            items: {
                                type: "string";
                            };
                        };
                        body: {
                            type: string[];
                            description: string;
                        };
                    };
                    required: true;
                    additionalProperties: false;
                };
                see: {
                    version: {
                        major: number;
                        minor: number;
                        patch: number;
                    };
                    schema: {
                        title: string;
                        description: string;
                        type: "object";
                        properties: {
                            stack: {
                                type: string[];
                                description: string;
                            };
                            error: {
                                type: string[];
                                description: string;
                            };
                            timings: {
                                type: string[];
                                description: string;
                                properties: {
                                    lifecycle: {
                                        type: "integer";
                                        minimum: number;
                                        description: string;
                                    };
                                    'before each': {
                                        type: "array";
                                        items: {
                                            type: "object";
                                        };
                                    };
                                };
                            };
                            failedFromHookId: {
                                type: string[];
                                format: string;
                            };
                            wallClockStartedAt: {
                                type: string[];
                                format: string;
                            };
                            wallClockDuration: {
                                type: string[];
                                minimum: number;
                            };
                            videoTimestamp: {
                                type: string[];
                            };
                            state: {
                                type: "string";
                                format: string;
                            };
                            testId: {
                                type: "string";
                                format: string;
                                description: string;
                            };
                            title: {
                                type: "array";
                                items: {
                                    type: "string";
                                };
                            };
                            body: {
                                type: string[];
                                description: string;
                            };
                        };
                        required: true;
                        additionalProperties: false;
                    };
                    example: TestRunnerTestExample100;
                };
            };
            stdout: {
                type: string[];
                description: string;
            };
            video: {
                type: "boolean";
                description: string;
            };
        };
        title: string;
        type: "object";
        required: true;
        additionalProperties: false;
    };
    example: PutInstanceRequestExample210;
};
export declare const example300: PutInstanceRequestExample300;
export declare const PutInstanceRequest300: {
    version: {
        major: number;
        minor: number;
        patch: number;
    };
    schema: {
        title: string;
        type: "object";
        description: string;
        properties: any;
        required: never[];
        additionalProperties: false;
    };
    example: PutInstanceRequestExample300;
};
export declare const PutInstanceRequest: import("@cypress/schema-tools").VersionedSchema;
