import { hookId } from '../objects';
export declare type TestRunnerHookExample100 = {
    hookId: hookId;
    hookName: string;
    title: string[];
    body: string;
};
export declare const testRunnerHookExample100: TestRunnerHookExample100;
export declare const TestRunnerHook100: {
    version: {
        major: number;
        minor: number;
        patch: number;
    };
    schema: {
        title: string;
        description: string;
        type: "object";
        properties: {
            hookId: {
                type: "string";
                format: string;
            };
            hookName: {
                type: "string";
                enum: string[];
            };
            title: {
                type: "array";
                items: {
                    type: "string";
                };
            };
            body: {
                type: "string";
            };
        };
        required: true;
        additionalProperties: boolean;
    };
    example: TestRunnerHookExample100;
};
export declare type TestRunnerHookExample200 = {
    title: string[];
    body: string;
    type: string;
    clientId: string;
};
export declare const testRunnerHookExample200: TestRunnerHookExample200;
export declare const TestRunnerHook200: {
    version: {
        major: number;
        minor: number;
        patch: number;
    };
    schema: {
        properties: any;
        title: string;
        description: string;
        type: "object";
        required: true;
        additionalProperties: boolean;
    };
    example: TestRunnerHookExample200;
};
export declare const TestRunnerHook: import("@cypress/schema-tools").VersionedSchema;
