"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TestRunnerHook = exports.TestRunnerHook200 = exports.testRunnerHookExample200 = exports.TestRunnerHook100 = exports.testRunnerHookExample100 = void 0;
var lodash_1 = __importDefault(require("lodash"));
var schema_tools_1 = require("@cypress/schema-tools");
exports.testRunnerHookExample100 = {
    hookId: 'h1',
    hookName: 'before each',
    title: ['"before each" hook'],
    body: 'function () {\n      throw new Error("fail1");\n    }',
};
exports.TestRunnerHook100 = {
    version: {
        major: 1,
        minor: 0,
        patch: 0,
    },
    schema: {
        title: 'testRunner.hook',
        description: 'Hook function running before or after test',
        type: 'object',
        properties: {
            hookId: {
                type: 'string',
                format: 'hookId',
            },
            hookName: {
                type: 'string',
                enum: ['before each', 'before all', 'after each', 'after all'],
            },
            title: {
                type: 'array',
                items: {
                    type: 'string',
                },
            },
            body: {
                type: 'string',
            },
        },
        required: true,
        additionalProperties: false,
    },
    example: exports.testRunnerHookExample100,
};
exports.testRunnerHookExample200 = __assign(__assign({}, lodash_1.default.pick(exports.testRunnerHookExample100, 'title', 'body')), { type: exports.testRunnerHookExample100.hookName, clientId: 'h1' });
exports.TestRunnerHook200 = {
    version: {
        major: 2,
        minor: 0,
        patch: 0,
    },
    schema: __assign(__assign({}, exports.TestRunnerHook100.schema), { properties: __assign(__assign({}, lodash_1.default.pick(exports.TestRunnerHook100.schema.properties, 'title', 'body')), { type: exports.TestRunnerHook100.schema.properties.hookName, clientId: exports.TestRunnerHook100.schema.properties.hookId }) }),
    example: exports.testRunnerHookExample200,
};
exports.TestRunnerHook = schema_tools_1.versionSchemas(exports.TestRunnerHook100, exports.TestRunnerHook200);
