"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TestRunnerTestAttempt = exports.TestRunnerTest = exports.TestRunnerTest200 = exports.TestRunnerTestAttempt100 = exports.TestRunnerTestError100 = exports.TestRunnerTestErrorCodeFrame100 = exports.testRunnerTestExample200 = exports.testRunnerTestAttemptExample100 = exports.testRunnerTestErrorExample100 = exports.testRunnerTestErrorCodeFrameExample100 = exports.TestRunnerTest100 = exports.CommonTestPropertiesV1 = exports.CommonTestProperties = exports.BaseTestExecutionProperties = exports.BaseTestProperties = exports.testRunnerTestExample100 = void 0;
var schema_tools_1 = require("@cypress/schema-tools");
var formats_1 = require("../formats");
var lodash_1 = __importDefault(require("lodash"));
var util_1 = require("../util");
var testRunnerTestCommon = {
    state: 'failed',
    failedFromHookId: 'h1',
    wallClockStartedAt: '2018-02-01T20:14:19.323Z',
    wallClockDuration: 1234,
    videoTimestamp: 9999,
};
var testRunnerTestCommonV1 = __assign(__assign({}, testRunnerTestCommon), { stack: 'Error: fail1\n\nBecause this error occurred during a \'before each\' hook we are skipping the remaining tests in the current suite: \'beforeEach hooks\'\n    at stack trace line', error: 'fail1\n\nBecause this error occurred during a \'before each\' hook we are skipping the remaining tests in the current suite: \'beforeEach hooks\'', timings: {
        lifecycle: 100,
        'before each': [
            {
                hookId: 'h1',
                fnDuration: 400,
                afterFnDuration: 200,
            },
        ],
    } });
exports.testRunnerTestExample100 = __assign({ testId: 'r4', title: ['simple failing hook spec', 'beforeEach hooks', 'never gets here'], body: 'function () {}' }, testRunnerTestCommonV1);
exports.BaseTestProperties = {
    state: {
        type: 'string',
        format: formats_1.formats.testState.name,
    },
};
exports.BaseTestExecutionProperties = __assign(__assign({}, exports.BaseTestProperties), { failedFromHookId: {
        type: ['string', 'null'],
        format: formats_1.formats.hookId.name,
    }, wallClockStartedAt: {
        type: ['string', 'null'],
        format: 'date-time',
    }, wallClockDuration: {
        type: ['integer', 'null'],
        minimum: 0,
    }, videoTimestamp: {
        type: ['integer', 'null'],
    } });
exports.CommonTestProperties = __assign(__assign({}, exports.BaseTestProperties), { testId: {
        type: 'string',
        format: formats_1.formats.testId.name,
        description: 'Internal short test id set by the test runner',
    }, title: {
        type: 'array',
        items: {
            type: 'string',
        },
    }, body: {
        type: ['string', 'null'],
        description: 'Source code of the test',
    } });
exports.CommonTestPropertiesV1 = __assign(__assign(__assign({}, exports.CommonTestProperties), exports.BaseTestExecutionProperties), { stack: {
        type: ['string', 'null'],
        description: 'Error stack as a string',
    }, error: {
        type: ['string', 'null'],
        description: 'If there was an error, its message',
    }, timings: {
        type: ['object', 'null'],
        description: 'Collected timings',
        properties: {
            lifecycle: {
                type: 'integer',
                minimum: 0,
                description: 'ms',
            },
            'before each': {
                type: 'array',
                items: {
                    type: 'object',
                },
            },
        },
    } });
exports.TestRunnerTest100 = util_1.objSchema({
    version: {
        major: 1,
        minor: 0,
        patch: 0,
    },
    schema: {
        title: 'testRunner.test',
        description: 'Test information uploaded by the test runner',
        type: 'object',
        properties: __assign({}, exports.CommonTestPropertiesV1),
        required: true,
        additionalProperties: false,
    },
    example: exports.testRunnerTestExample100,
});
exports.testRunnerTestErrorCodeFrameExample100 = {
    line: 7,
    column: 8,
    originalFile: 'cypress/integration/spec.js',
    relativeFile: 'cypress/integration/spec.js',
    absoluteFile: '/path/to/cypress/integration/spec.js',
    frame: '   5 | \n   6 |   it(\'fails\', () => {\n>  7 |     cy.get(\'nope\', { timeout: 1 })\n     |        ^\n   8 |   })\n   9 | })\n  10 | ',
    language: 'js',
};
exports.testRunnerTestErrorExample100 = {
    name: 'AssertionError',
    message: 'expected #greeting to include \'Hi brian-mann\'',
    stack: '<stack trace>',
    codeFrame: __assign({}, exports.testRunnerTestErrorCodeFrameExample100),
};
exports.testRunnerTestAttemptExample100 = __assign({ error: exports.testRunnerTestErrorExample100, timings: testRunnerTestCommonV1.timings }, testRunnerTestCommon);
exports.testRunnerTestExample200 = __assign(__assign({ testId: 'r4', title: ['simple failing hook spec', 'beforeEach hooks', 'never gets here'], body: 'function () {}' }, lodash_1.default.omit(testRunnerTestCommon, 'error', 'timings', 'stack', 'videoTimestamp', 'wallClockDuration', 'failedFromHookId', 'wallClockStartedAt')), { displayError: 'Attempt #1-3: AssertionError: expected #greeting to include \'Hi brian-mann\' <stack trace>', attempts: [exports.testRunnerTestAttemptExample100] });
exports.TestRunnerTestErrorCodeFrame100 = util_1.objSchema({
    version: {
        major: 1,
        minor: 0,
        patch: 0,
    },
    schema: {
        type: 'object',
        title: 'testRunner.testErrorCodeFrame',
        description: 'Formatted code frame from the error',
        properties: {
            line: {
                type: ['integer', 'null'],
                description: 'Line of the highlight error',
            },
            column: {
                type: ['integer', 'null'],
                description: 'Column of the error on the code frame',
            },
            originalFile: {
                type: ['string', 'null'],
                description: 'Original file of the code frame',
            },
            relativeFile: {
                type: ['string', 'null'],
                description: 'Relative file of the code frame',
            },
            absoluteFile: {
                type: ['string', 'null'],
                description: 'Absolute file of the code frame',
            },
            frame: {
                type: ['string', 'null'],
                description: 'Code frame',
            },
            language: {
                type: ['string', 'null'],
                description: 'Language of the code frame',
            },
        },
        additionalProperties: true,
    },
    example: exports.testRunnerTestErrorExample100,
});
exports.TestRunnerTestError100 = util_1.objSchema({
    version: {
        major: 1,
        minor: 0,
        patch: 0,
    },
    schema: {
        type: 'object',
        title: 'testRunner.testError',
        description: 'Formatted error from the test runner',
        properties: {
            name: {
                type: ['string', 'null'],
                description: 'Name of the error as a string',
            },
            message: {
                type: ['string', 'null'],
                description: 'Error message',
            },
            stack: {
                type: ['string', 'null'],
                description: 'Stack trace of the error',
            },
            codeFrame: __assign(__assign({}, exports.TestRunnerTestErrorCodeFrame100.schema), { type: ['object', 'null'], see: exports.TestRunnerTestErrorCodeFrame100, required: false }),
        },
        additionalProperties: true,
    },
    example: exports.testRunnerTestErrorExample100,
});
exports.TestRunnerTestAttempt100 = util_1.objSchema({
    version: {
        major: 1,
        minor: 0,
        patch: 0,
    },
    schema: {
        type: 'object',
        title: 'testRunner.testAttempt',
        description: 'An attempt at running a test',
        properties: __assign(__assign(__assign({}, exports.BaseTestProperties), exports.BaseTestExecutionProperties), { error: __assign(__assign({}, exports.TestRunnerTestError100.schema), { type: ['object', 'null'], see: exports.TestRunnerTestError100 }), timings: exports.CommonTestPropertiesV1.timings }),
        additionalProperties: false,
    },
    example: exports.testRunnerTestExample200.attempts[0],
});
exports.TestRunnerTest200 = util_1.objSchema({
    version: {
        major: 2,
        minor: 0,
        patch: 0,
    },
    schema: {
        type: 'object',
        title: 'testRunner.test',
        properties: __assign(__assign({}, exports.CommonTestProperties), { displayError: {
                type: ['string', 'null'],
            }, attempts: {
                type: ['array'],
                items: __assign({}, exports.TestRunnerTestAttempt100.schema),
                see: exports.TestRunnerTestAttempt100,
            } }),
        required: true,
        additionalProperties: false,
    },
    example: exports.testRunnerTestExample200,
});
exports.TestRunnerTest = schema_tools_1.versionSchemas(exports.TestRunnerTest100, exports.TestRunnerTest200);
exports.TestRunnerTestAttempt = schema_tools_1.versionSchemas(exports.TestRunnerTestAttempt100);
